// Code generated by mockery v2.9.4. DO NOT EDIT.

package datamock

import (
	mock "github.com/stretchr/testify/mock"
	data "gitlab.com/my-group322/pictures/pics-svc/internal/data"

	resources "gitlab.com/my-group322/pictures/pics-svc/resources"
)

// UsersQ is an autogenerated mock type for the UsersQ type
type UsersQ struct {
	mock.Mock
}

// AddFriend provides a mock function with given fields: relation
func (_m *UsersQ) AddFriend(relation data.UsersFriends) error {
	ret := _m.Called(relation)

	var r0 error
	if rf, ok := ret.Get(0).(func(data.UsersFriends) error); ok {
		r0 = rf(relation)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// Create provides a mock function with given fields: user
func (_m *UsersQ) Create(user *data.User) error {
	ret := _m.Called(user)

	var r0 error
	if rf, ok := ret.Get(0).(func(*data.User) error); ok {
		r0 = rf(user)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// DeleteFriend provides a mock function with given fields: relation
func (_m *UsersQ) DeleteFriend(relation data.UsersFriends) error {
	ret := _m.Called(relation)

	var r0 error
	if rf, ok := ret.Get(0).(func(data.UsersFriends) error); ok {
		r0 = rf(relation)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// FilterByAnyName provides a mock function with given fields: name
func (_m *UsersQ) FilterByAnyName(name string) {
	_m.Called(name)
}

// FilterByFirstName provides a mock function with given fields: name
func (_m *UsersQ) FilterByFirstName(name string) {
	_m.Called(name)
}

// FilterByID provides a mock function with given fields: ids
func (_m *UsersQ) FilterByID(ids []string) {
	_m.Called(ids)
}

// FilterByLastName provides a mock function with given fields: name
func (_m *UsersQ) FilterByLastName(name string) {
	_m.Called(name)
}

// FilterFriends provides a mock function with given fields: userID
func (_m *UsersQ) FilterFriends(userID string) {
	_m.Called(userID)
}

// GetByID provides a mock function with given fields: id
func (_m *UsersQ) GetByID(id string) (*data.User, error) {
	ret := _m.Called(id)

	var r0 *data.User
	if rf, ok := ret.Get(0).(func(string) *data.User); ok {
		r0 = rf(id)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*data.User)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(string) error); ok {
		r1 = rf(id)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// IsFriend provides a mock function with given fields: userID, friendID
func (_m *UsersQ) IsFriend(userID string, friendID string) (bool, error) {
	ret := _m.Called(userID, friendID)

	var r0 bool
	if rf, ok := ret.Get(0).(func(string, string) bool); ok {
		r0 = rf(userID, friendID)
	} else {
		r0 = ret.Get(0).(bool)
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(string, string) error); ok {
		r1 = rf(userID, friendID)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// Select provides a mock function with given fields: params
func (_m *UsersQ) Select(params resources.QueryParams) ([]data.User, error) {
	ret := _m.Called(params)

	var r0 []data.User
	if rf, ok := ret.Get(0).(func(resources.QueryParams) []data.User); ok {
		r0 = rf(params)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).([]data.User)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(resources.QueryParams) error); ok {
		r1 = rf(params)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// SelectWithoutLimit provides a mock function with given fields:
func (_m *UsersQ) SelectWithoutLimit() ([]data.User, error) {
	ret := _m.Called()

	var r0 []data.User
	if rf, ok := ret.Get(0).(func() []data.User); ok {
		r0 = rf()
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).([]data.User)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func() error); ok {
		r1 = rf()
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// Update provides a mock function with given fields: user
func (_m *UsersQ) Update(user *data.User) error {
	ret := _m.Called(user)

	var r0 error
	if rf, ok := ret.Get(0).(func(*data.User) error); ok {
		r0 = rf(user)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// UpdateHasAvatar provides a mock function with given fields: id, hasAvatar
func (_m *UsersQ) UpdateHasAvatar(id string, hasAvatar bool) error {
	ret := _m.Called(id, hasAvatar)

	var r0 error
	if rf, ok := ret.Get(0).(func(string, bool) error); ok {
		r0 = rf(id, hasAvatar)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}
